Bug 23731 - Display LC call number in OPAC and staff detail pages
Summary: Display LC call number in OPAC and staff detail pages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords: rel_19_11_candidate
Depends on:
Blocks:
 
Reported: 2019-10-03 13:29 UTC by Kelly McElligott
Modified: 2019-10-08 13:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
staff view (76.32 KB, image/png)
2019-10-03 13:29 UTC, Kelly McElligott
Details
Bug 23731: Add LOC classification number (2.81 KB, patch)
2019-10-04 10:58 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23731: Give staff detail/OPAC detail option to display LOC classification (2.53 KB, patch)
2019-10-04 16:34 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23731: Give staff detail/OPAC detail option to display LOC classification (2.59 KB, patch)
2019-10-04 18:49 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23731: Give staff detail/OPAC detail option to display LOC classification (2.65 KB, patch)
2019-10-07 19:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2019-10-03 13:29:43 UTC
Created attachment 93597 [details]
staff view

When looking at the display of the Bib record in both the staff and OPAC, the DDC number will display by default.  However, there is no way for an LC number to display.  It would be nice if they both displayed and the library could choose to hide one or both. Currently, it appears that it is displaying the 082 and 084, we would like to see it also display the 090 or 050 (or both) by default.
Comment 1 Lucas Gass 2019-10-04 10:58:07 UTC
Created attachment 93740 [details] [review]
Bug 23731: Add LOC classification number

This patch add the LOC classifiction number to the OPAC details and Staff details page.
TO TEST:
1. Add/find a record with a classification number in the 050a field.
2. View the details page on both OPAC and staff.
3. Notice no LOC classification number is displaying.
4. Apply patch.
5. Refresh the OPAC/staff and see that the LOC classification number is displaying.
6. Rejoice.
Comment 2 Owen Leonard 2019-10-04 12:28:09 UTC
Why this change to MARC21slim2OPACDetail.xsl?


@@ -956,10 +968,6 @@
                    <xsl:with-param name="codes">a</xsl:with-param>
                    <xsl:with-param name="delimeter"><xsl:text> | </xsl:text></xsl:with-param>
                 </xsl:call-template>
-                <xsl:choose>
-                   <xsl:when test="position()=last()"><xsl:text>  </xsl:text></xsl:when>
-                   <xsl:otherwise> | </xsl:otherwise>
-                </xsl:choose>
           </xsl:for-each>
Comment 3 Kelly McElligott 2019-10-04 13:10:54 UTC
Lucas,
the LOC number is generally both the 050$a and 050$b- can the $b be also included- I apologize I didn't clearly say this in my initial submission.
Comment 4 Lucas Gass 2019-10-04 16:34:42 UTC
Created attachment 93754 [details] [review]
Bug 23731: Give staff detail/OPAC detail option to display LOC classification

This patch add the LOC classifiction number to the OPAC details and Staff details page.
TO TEST:
1. Add/find a record with a classification number in the 050$a and 050$b field.
2. View the details page on both OPAC and staff.
3. Notice no LOC classification number is displaying.
4. Apply patch.
5. Refresh the OPAC/staff and see that the LOC classification number is displaying.
6. Rejoice.
Comment 5 Lucas Gass 2019-10-04 16:36:28 UTC
Owen, that deletion was just a mistake on my part. I supplied a new patch that also in includes the 050$b
Comment 6 ByWater Sandboxes 2019-10-04 18:49:17 UTC
Created attachment 93756 [details] [review]
Bug 23731: Give staff detail/OPAC detail option to display LOC classification

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 7 David Nind 2019-10-06 18:49:56 UTC
Changed the status to signed off (can also confirm that the patch works as expected).
Comment 8 Katrin Fischer 2019-10-07 19:36:20 UTC
Created attachment 93841 [details] [review]
Bug 23731: Give staff detail/OPAC detail option to display LOC classification

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Martin Renvoize 2019-10-08 13:57:09 UTC
Nice work!

Pushed to master for 19.11.00